#!@PYTHON@
# @configure_input@
# The file debian-solfege.py.in is generated from run-solfege.py.in
# by the configure script.
#
# GNU Solfege - eartraining for GNOME
# Copyright (C) 2000, 2001, 2002, 2003  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys, os

if sys.version_info < (2, 2):
    print "********************************************************************"
    print "Solfege need Python 2.2 or newer. The configure script told you so!"
    print "********************************************************************"
    sys.exit(-1)

os.chdir("@prefix@/share/solfege/")
sys.path.append("@prefix@/lib/solfege/")
sys.path.append("@prefix@/share/solfege/")

import src
import src.configureoutput

import src.rcfile
src.rcfile.copy_rc_file()
import src.cfg

src.cfg.initialise("@prefix@/share/solfege//default.config",
                   "@sysconfdir@/solfege@MAJOR_VERSION@.@MINOR_VERSION@",
                   "~/.solfegerc")

import src.mainwin

